public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/python-ironicclient/
Date: Tue, 22 Nov 2016 05:08:00 +0000 (UTC)	[thread overview]
Message-ID: <1479790887.2cdfdb93431c46daeacf06023435f760adb499fd.prometheanfire@gentoo> (raw)

commit:     2cdfdb93431c46daeacf06023435f760adb499fd
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 22 05:01:27 2016 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Tue Nov 22 05:01:27 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2cdfdb93

dev-python/python-ironicclient: bup

Package-Manager: portage-2.3.0

 dev-python/python-ironicclient/Manifest            |  1 +
 .../python-ironicclient-1.7.1.ebuild               | 77 ++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/dev-python/python-ironicclient/Manifest b/dev-python/python-ironicclient/Manifest
index 0f18853..0d4bd33 100644
--- a/dev-python/python-ironicclient/Manifest
+++ b/dev-python/python-ironicclient/Manifest
@@ -1 +1,2 @@
 DIST python-ironicclient-0.9.0.tar.gz 95562 SHA256 8de88260f30625c6eb8c38fa3401945b510485e00189edaa18ca745b738f6a9a SHA512 324aec8ed9861ce2df4b7783b7bd8b98e30efbc8775ddcb4668f760d8916248df0d32def5cb2d30e9e743ff30e5b6717c653ca6e5cb9ea25b536a369ac45be5d WHIRLPOOL 8d992fff69724706b0a2becf84fd2312bba9be59e7b7103f39a0d5905553d9926510ae6dedd28c4f8ed51c179ddfa2cee97f78c7d2cdc59bb86b8b2fd9cb75de
+DIST python-ironicclient-1.7.1.tar.gz 147835 SHA256 826f318061205ead8c597c17d7384260c8e685c9538d8e10d7791a18a04750ed SHA512 65d94f745c9544805bd73f77dcdc7f0ab731f932a01629089a952af6f30b85d1db38f518cd4e82ec0346c13dbcaf1eb0e4e166b28d940c77fcbb57ae2465ac08 WHIRLPOOL e911ddda35aef0aa6481fe8a62ca518df0f4e7311a2890a4504fb58f939f6a18cf77890ad29ad2a76501d2be62178f9cdda0d8b6ef5eccd1d86b9290a846f76d

diff --git a/dev-python/python-ironicclient/python-ironicclient-1.7.1.ebuild b/dev-python/python-ironicclient/python-ironicclient-1.7.1.ebuild
new file mode 100644
index 00000000..6a6819d
--- /dev/null
+++ b/dev-python/python-ironicclient/python-ironicclient-1.7.1.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for the Ironic API"
+HOMEPAGE="http://www.openstack.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+CDEPEND="
+	>=dev-python/pbr-1.8[${PYTHON_USEDEP}]
+"
+CRDEPEND="
+	>=dev-python/appdirs-1.3.0[${PYTHON_USEDEP}]
+	>=dev-python/dogpile-cache-0.6.2[${PYTHON_USEDEP}]
+	>=dev-python/jsonschema-2.0.0[${PYTHON_USEDEP}]
+	!~dev-python/jsonschema-2.5.0[${PYTHON_USEDEP}]
+	<dev-python/jsonschema-3.0.0[${PYTHON_USEDEP}]
+	>=dev-python/httplib2-0.7.5[${PYTHON_USEDEP}]
+	>=dev-python/keystoneauth-2.10.0[${PYTHON_USEDEP}]
+	>=dev-python/osc-lib-1.0.2[${PYTHON_USEDEP}]
+	>=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-utils-3.16.0[${PYTHON_USEDEP}]
+	>=dev-python/prettytable-0.7[${PYTHON_USEDEP}]
+	<dev-python/prettytable-0.8[${PYTHON_USEDEP}]
+	>=dev-python/python-openstackclient-2.1.0[${PYTHON_USEDEP}]
+	>=dev-python/pyyaml-3.1.0[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.10.0[${PYTHON_USEDEP}]
+	>=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	${CDEPEND}
+	test? (
+		${CRDEPEND}
+		>=dev-python/coverage-3.6[${PYTHON_USEDEP}]
+		dev-python/doc8[${PYTHON_USEDEP}]
+		>=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+		>=dev-python/requests-mock-1.0[${PYTHON_USEDEP}]
+		>=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+		>=dev-python/Babel-2.3.4[${PYTHON_USEDEP}]
+		>=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
+		!~dev-python/oslo-sphinx-3.4.0[${PYTHON_USEDEP}]
+		>=dev-python/reno-1.8.0[${PYTHON_USEDEP}]
+		>=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
+		>=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
+		>=dev-python/sphinx-1.2.1[${PYTHON_USEDEP}]
+		<dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+		>=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
+		>=dev-python/os-testr-0.7.0[${PYTHON_USEDEP}]
+	)
+"
+RDEPEND="
+	${CDEPEND}
+	${CRDEPEND}
+"
+python_prepare_all() {
+	sed -i '/^hacking/d' test-requirements.txt || die
+	sed -i '/^tempest/d' test-requirements.txt || die
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	#rm -rf .testrepository || die "couldn't remove '.testrepository' under ${EPYTHON}"
+
+	testr init || die "testr init failed under ${EPYTHON}"
+	testr run || die "testr run failed under ${EPYTHON}"
+}


             reply	other threads:[~2016-11-22  5:08 UTC|newest]

Thread overview: 74+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-11-22  5:08 Matt Thode [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-25 12:27 [gentoo-commits] repo/gentoo:master commit in: dev-python/python-ironicclient/ Michał Górny
2024-10-25 12:08 Arthur Zamarin
2024-08-30  1:56 Michał Górny
2024-07-04  5:13 Michał Górny
2024-05-25  6:36 Arthur Zamarin
2024-05-22  8:03 Michał Górny
2024-05-09  4:08 Michał Górny
2024-03-16 12:08 Michał Górny
2024-03-16 11:48 Arthur Zamarin
2024-03-01  4:47 Michał Górny
2023-12-05 15:30 Michał Górny
2023-10-06 15:52 Michał Górny
2023-10-06 15:14 Sam James
2023-09-02  3:22 Michał Górny
2023-08-11 19:12 Michał Górny
2023-08-11 19:09 Arthur Zamarin
2023-07-07  3:15 Michał Górny
2023-06-11 16:18 Michał Górny
2023-06-11 15:04 Sam James
2023-05-11 17:58 Michał Górny
2023-03-25  9:22 Michał Górny
2023-03-25  6:07 Sam James
2023-03-06 15:10 Michał Górny
2023-02-17 18:51 Michał Górny
2022-10-03  6:56 Michał Górny
2022-10-03  0:44 Sam James
2022-08-31 19:08 Arthur Zamarin
2022-08-18 10:17 Michał Górny
2022-08-18  7:01 Agostino Sarubbo
2022-07-15 18:30 Arthur Zamarin
2022-07-15 18:30 Arthur Zamarin
2022-07-15 18:30 Arthur Zamarin
2022-06-05  5:46 Michał Górny
2022-04-01 18:49 Michał Górny
2022-04-01 18:34 Arthur Zamarin
2022-04-01 18:34 Arthur Zamarin
2022-02-25 23:41 Michał Górny
2022-02-13  9:42 Michał Górny
2022-02-13  8:41 Jakov Smolić
2022-02-13  8:41 Jakov Smolić
2022-01-07 16:49 Arthur Zamarin
2021-11-19  6:18 Arthur Zamarin
2021-11-05 19:28 Michał Górny
2021-11-05 18:35 Sam James
2021-11-05 17:34 Sam James
2021-10-18 20:40 Michał Górny
2021-10-04 22:58 Sam James
2021-09-30 17:59 Arthur Zamarin
2021-05-31 20:42 Michał Górny
2020-12-02 23:31 Thomas Deutschmann
2020-12-02 22:58 Sam James
2020-10-17  3:06 Matthew Thode
2020-10-15 22:13 Matthew Thode
2020-07-12 16:57 Michał Górny
2020-05-30 17:52 Matthew Thode
2020-05-13  0:00 Matthew Thode
2020-02-11 19:06 Matthew Thode
2019-06-04 15:11 Matthew Thode
2019-05-15 20:16 Matthew Thode
2019-05-08  4:22 Matthew Thode
2018-09-01  5:30 Matt Thode
2018-08-01 17:03 Matt Thode
2018-06-24 19:21 Pacho Ramos
2017-09-29 23:32 Matt Thode
2017-09-13 17:39 Matt Thode
2017-03-22 16:03 Matt Thode
2016-12-17  2:42 Matt Thode
2015-11-16 16:26 Agostino Sarubbo
2015-11-16 16:15 Agostino Sarubbo
2015-11-14  0:09 Matt Thode
2015-10-15  9:08 Matt Thode
2015-08-21  6:42 Agostino Sarubbo
2015-08-21  6:41 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1479790887.2cdfdb93431c46daeacf06023435f760adb499fd.prometheanfire@gentoo \
    --to=prometheanfire@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox